Search Support

Avoid support scams. We will never ask you to call or text a phone number or share personal information. Please report suspicious activity using the “Report Abuse” option.

Learn More

why are conservative websites blocked with Error code: NS_ERROR_NET_INADEQUATE_SECURITY

  • 1 baphendule
  • 1 inale nkinga
  • 9 views
  • Igcine ukuphendulwa ngu cor-el

more options

I have read the reason for this as explained by you but when you visit these sites with another browser you do not see this error.

Also checking the SSL which is what would throw this error (NS_ERROR_NET_INADEQUATE_SECURITY) it is clear that the SSL cert is not the issue. Site checked at ssllabs.com. Please be honest with me and tell me this is not censorship, this seems a little Orwellian and is disappointing!!

All Replies (1)

more options

NS_ERROR_NET_INADEQUATE_SECURITY indicates that the server initiates a HTTP/2 connection, but Firefox detects an invalid TLS configuration in the server response (server negotiated HTTP/2 with blacklisted cipher suites). This is likely not an issue with the certificate, but this is a problem with the server setup and there are invalid cipher suites for HTTP/2 claimed (INADEQUATE_SECURITY). When HTTP/2 is enabled and used then the requirements are much stricter than with HTTP/1.1

Helpful?

Buza umbuzo

Kufanele ulogele ukungena ku-akhawunti yakho ukuze uphendule amaphosti. Uyacelwauqale umbuzo omusha, uma ungekabi nayo i-akhawunti namanje.